Page MenuHomePhabricator

Wikitech often loses track of internal openstack/nova session
Closed, ResolvedPublic

Description

Almost every other day when using wikitech and performing a read or write action that involves openstack (e.g. listing instances, deleting instances, creating instances) they silently fail with very vague error messages.

The classical fix is to log out and log back in again, which is quite annoying (especially with 2-factor auth) and not very intuitive.

Details

Related Gerrit Patches:
mediawiki/extensions/OpenStackManager : masterRetry rest calls that return 401 after purging project token

Event Timeline

Krinkle created this task.Jun 3 2015, 12:18 AM
Krinkle raised the priority of this task from to Needs Triage.
Krinkle updated the task description. (Show Details)
Krinkle added a subscriber: Krinkle.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 3 2015, 12:18 AM
Restricted Application added a project: Cloud-Services. · View Herald TranscriptJun 18 2015, 12:21 AM
chasemp triaged this task as Medium priority.Nov 30 2015, 4:20 PM
chasemp added a subscriber: chasemp.

Change 267205 had a related patch set uploaded (by Alex Monk):
Retry rest calls that return 401 after purging project token

https://gerrit.wikimedia.org/r/267205

Krenair claimed this task.Jan 29 2016, 2:33 AM

Change 267205 merged by jenkins-bot:
Retry rest calls that return 401 after purging project token

https://gerrit.wikimedia.org/r/267205

Krenair closed this task as Resolved.Feb 2 2016, 11:06 PM
Krenair awarded a token.

Wooooooooooo!

Krinkle reopened this task as Open.Feb 18 2016, 10:11 PM
Krinkle added a subscriber: bd808.

Still happening. @bd808 both encountered it in the last 2 days.

Except in the past where it would show an empty page or fail, it now says:

There were no Nova credentials found for your user account. Please ask a Nova administrator to create credentials for you.

As always, logging out and back in (2fa..) makes it work.

Krenair removed Krenair as the assignee of this task.EditedFeb 18 2016, 10:22 PM
Krenair set Security to None.

I think the best we can do is refresh project tokens. Unscoped tokens require your password which is only available during login. So we can probably log you out in that situation, but not much more.

Krinkle closed this task as Resolved.Jun 11 2018, 12:28 PM